Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.SSL
Interface HostnameVerifierJSSE

Deprecated. 9.0.0.0 Replaced by `HostnameVerifier`

public interface HostnameVerifierJSSE

HostnameVerifierJSSE provides a callback mechanism so that implementers of this interface can supply a policy for handling the case where the host that's being connected to and the server name from the certificate SubjectDN must match.

To specify an instance of this interface to be used by the server, set the `SSL.HostName Verifier` field on the SSL tab under Server Configuration in the Administration Console to the name of a class that implements this interface.

Classes implementing this interface must have a public no-arg constructor.

The default implementation of this class in the WebLogic Server will do only a String.equals() comparison of the urlHostname to the certHostname.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `verify(String urlHostname, String certHostname)` Deprecated. Verify that the hostname from the URL is an acceptable match with the value from the common name entry in the server certificate's distinguished name.

Method Detail

### verify

    public boolean verify(String urlHostname,
                          String certHostname)

  Deprecated.
  Verify that the hostname from the URL is an acceptable match with the value from the common name entry in the server certificate's distinguished name. This method won't be called from WebLogic at this time, rather the other, more descriptive method will be. This is a placeholder for a future JSSE-compliant SSL implementation inside WebLogic.

  Parameters:
    `urlHostname` - The hostname of the server machine the url points to.
    `certHostname` - The common name entry from the certificate.
  Returns:
    true if the certificate hostname is acceptable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD